package com.muyu.common.system.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysEnt;
import com.muyu.common.system.remote.factory.RemoteEntFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * 文件服务
 *
 * @author muyu
 */
@FeignClient(contextId = "remoteEntService", value = ServiceNameConstants.SYSTEM_SERVICE, fallbackFactory = RemoteEntFallbackFactory.class)
public interface RemoteEntService {


}
