package com.muyu.common.system.remote.factory;
/**
 * @Author: 胡杨
 * @Name: RemoteEntFallbackFactory
 * @Description:
 * @CreatedDate: 2024/9/20 下午3:11
 * @FilePath: com.muyu.common.system.remote
 */


import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysEnt;
import com.muyu.common.system.remote.RemoteEntService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author: 胡杨
 * @Name: RemoteEntFallbackFactory
 * @Description:
 * @CreatedDate: 2024/9/20 下午3:11
 * @FilePath: com.muyu.common.system.remote
 */
@Component
public class RemoteEntFallbackFactory implements FallbackFactory<RemoteEntService> {
    @Override
    public RemoteEntService create(Throwable cause) {
        return new RemoteEntService() {

        };
    }
}
